php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Request #26379 ext/interbase: must be linked with -lcrypt under FreeBSD
Submitted: 2003-11-24 03:11 UTC Modified: 2012-01-20 20:46 UTC
Votes:3
Avg. Score:2.3 ± 1.9
Reproduced:0 of 0 (0.0%)
From: nicol at aokp dot ru Assigned: mariuz (profile)
Status: Closed Package: InterBase related
PHP Version: 4.3.4 OS: FreeBSD 4.9
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: nicol at aokp dot ru
New email:
PHP Version: OS:

 

 [2003-11-24 03:11 UTC] nicol at aokp dot ru
Description:
------------
php 4.3.4/5.0.0.Beta2 same bug
configure fails when detecting Interbase(Firebird) under FreeBSD (undefined reference to 'crypt'), because configure checks crypt() in -lcrypt after checking isc_detach_database() in -lgds and test program was linke without -lcrypt.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2011-01-01 21:14 UTC] jani@php.net
-Package: Feature/Change Request +Package: InterBase related
 [2011-06-03 09:36 UTC] mariuz@php.net
-Status: Open +Status: Assigned -Assigned To: +Assigned To: mariuz
 [2011-07-19 16:29 UTC] mariuz@php.net
To do 
test ./configure on newest freebsd stable 8.x

but i don't think this bug can be reproduced anymore (firebird doesn't use lcrypt 
or the extension for it)
 [2011-09-12 09:51 UTC] mariuz@php.net
-Status: Assigned +Status: Feedback
 [2011-09-12 09:51 UTC] mariuz@php.net
Please try using this snapshot:

  http://snaps.php.net/php5.4-latest.tar.gz
 
For Windows:

  http://windows.php.net/snapshots/


 [2012-01-20 20:46 UTC] mariuz@php.net
tested with bsd 9.0 php 5.3.9 

and all seems to be fine now 
./configure --with-interbase  works out of the box (tar)
 [2012-01-20 20:46 UTC] mariuz@php.net
Thank you for your bug report. This issue has already been fixed
in the latest released version of PHP, which you can download at 
http://www.php.net/downloads.php


 [2012-01-20 20:46 UTC] mariuz@php.net
-Status: Feedback +Status: Closed
 
PHP Copyright © 2001-2024 The PHP Group
All rights reserved.
Last updated: Fri Jun 14 15:01:30 2024 UTC